Subject: bug#59532: 28.2; Unable to build emacs with tree-sitter installed

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 04 Dec 2022 10:41:00 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 04 Dec 2022 07:59:21 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Thierry Volpiatto <[email-masked]>
>> >> Cc: [email-masked]
>> >> Date: Thu, 24 Nov 2022 10:47:08 +0000
>> >> 
>> >> > Then I think you need to tweak tree-sitter's Makefile, or use "make install
>> >> > PREFIX=/SOME/DIRECTORY", to install the shared libraries and header files
>> >> > where the rest of them are installed on your system.  In any case, so that
>> >> > the shared libraries end up in a directory that the dynamic linker scans for
>> >> > shared libraries on your system.
>> >> 
>> >> Yes, of course I can do that but it seems weird that ./configure locate
>> >> these files and make doesn't, isn't it?
>> >
>> > The configure script doesn't run any programs, it only tries to compile and
>> > link them.  By contrast, the build process does run Emacs, and that requires
>> > to find the library (if the Lisp code processed by temacs needs to call the
>> > library).
>> 
>> So the documentation in emacs/admin/notes/tree-sitter/starter-guide is
>> wrong (* Building Emacs with tree-sitter).
>
> It is not wrong, it just assumes a well-configured system, where shared
> libraries live in a sensible place.

No, if one follow the directions in "* Building Emacs with tree-sitter"
it will fail, well-configured system or not as long as you consider
"/usr/local/lib" as a wrong place to install tree-sitter.  I just remind
you that it is tree-sitter itself with make+make install that install
tree-sitter libs in this place.
I just say that for people trying to install tree-sitter, if it just for
me I am fine with "--without-tree-sitter".

-- 
Thierry